XmlUtil (Groovy 3.0.9)

Package groovy.util

## Class XmlUtil

- java.lang.Object
- - groovy.util.XmlUtil

-     @Deprecated
      public class XmlUtil
      extends Object

  Deprecated.
  Used for pretty printing XML content and other XML related utilities.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlUtil()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `serialize​(GPathResult node)` | Deprecated.
    `static void` | `serialize​(GPathResult node, OutputStream os)` | Deprecated.
    `static void` | `serialize​(GPathResult node, Writer w)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlUtil

          public XmlUtil()

      Deprecated.

  - ### Method Detail

    - #### serialize

          @Deprecated
          public static String serialize​(GPathResult node)

      Deprecated.
      Return a pretty version of the GPathResult.
      Parameters:
        `node` - a GPathResult to serialize to a String
      Returns:
        the pretty String representation of the GPathResult

    - #### serialize

          @Deprecated
          public static void serialize​(GPathResult node,
                                       OutputStream os)

      Deprecated.
      Write a pretty version of the GPathResult to the OutputStream.
      Parameters:
        `node` - a GPathResult to serialize
        `os` - the OutputStream to write to

    - #### serialize

          @Deprecated
          public static void serialize​(GPathResult node,
                                       Writer w)

      Deprecated.
      Write a pretty version of the GPathResult to the Writer.
      Parameters:
        `node` - a GPathResult to serialize
        `w` - the Writer to write to